Loading...
Searching...
No Matches
BALL::SysInfo Namespace Reference
Foundation Classes » Operating system support

## Functions

BALL_EXPORT LongIndex | getAvailableMemory ()
BALL_EXPORT LongIndex | getFreeMemory ()
BALL_EXPORT LongIndex | getTotalMemory ()
BALL_EXPORT LongIndex | getBufferedMemory ()
BALL_EXPORT LongIndex | getFreeSwapSpace ()
BALL_EXPORT Time | getUptime ()
BALL_EXPORT Index | getNumberOfProcessors ()

## Detailed Description

Namespace for methods to obtain informations about the systems hardware. All memory values are returned in amounts of byte. See the man page for sysinfo, GetSystemInfo and /proc/cpuinfo under Linux.

See also
  http://msdn.microsoft.com/library/en-us/memory/base/memorystatus_str.asp
  http://msdn.microsoft.com/library/en-us/memory/base/globalmemorystatusex.asp

## Function Documentation

## getAvailableMemory()

BALL_EXPORT LongIndex BALL::SysInfo::getAvailableMemory | ( |  | ) |

The the total amount of free memory (under linux + getBufferedMemory()).

Returns
  -1 if no valid value could be read

## getBufferedMemory()

BALL_EXPORT LongIndex BALL::SysInfo::getBufferedMemory | ( |  | ) |

Return the buffered memory under Linux

Returns
  -1 if no valid value could be read

## getFreeMemory()

BALL_EXPORT LongIndex BALL::SysInfo::getFreeMemory | ( |  | ) |

The the amount of freee memory.

Returns
  -1 if no valid value could be read

## getFreeSwapSpace()

BALL_EXPORT LongIndex BALL::SysInfo::getFreeSwapSpace | ( |  | ) |

Return the the amount of free swap memory.

Returns
  -1 if no valid value could be read

## getNumberOfProcessors()

BALL_EXPORT Index BALL::SysInfo::getNumberOfProcessors | ( |  | ) |

Get the number of processors

Returns
  -1 if no valid value could be read

## getTotalMemory()

BALL_EXPORT LongIndex BALL::SysInfo::getTotalMemory | ( |  | ) |

The the total amount of memory.

Returns
  -1 if no valid value could be read

## getUptime()

BALL_EXPORT Time BALL::SysInfo::getUptime | ( |  | ) |

Get the uptime of the system. Works currently only under Unix, not under Windows.

Returns
  -1 if no valid value could be read